summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJoshua Haberman <jhaberman@gmail.com>2018-09-02 14:18:04 -0700
committerGitHub <noreply@github.com>2018-09-02 14:18:04 -0700
commit41379a7064b6488099f203521fb69ceea0f6cc15 (patch)
tree93311b60a38cbc15171bccc5072eaaaafbd63086 /tools
parent6c4469e1895298f0965777b2f9597a82a480cebd (diff)
parentb6a92a93c619e012b2f57640495cc48809e89860 (diff)
Merge pull request #120 from haberman/cmake
More work on CMake.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/copy_genfiles.sh.in22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/copy_genfiles.sh.in b/tools/copy_genfiles.sh.in
new file mode 100755
index 0000000..5e22625
--- /dev/null
+++ b/tools/copy_genfiles.sh.in
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+set -e
+
+BINDIR=`dirname "$0"`/..
+SRCDIR=${CMAKE_CURRENT_SOURCE_DIR}
+EXIT=0
+
+function try_copy() {
+ if [ ! -f $1 ]; then
+ echo "Can't find $1, skipping..."
+ EXIT=1
+ else
+ cp $1 $2
+ echo $1
+ fi
+}
+
+try_copy $BINDIR/google/protobuf/descriptor.upb.c $SRCDIR/google/protobuf
+try_copy $BINDIR/google/protobuf/descriptor.upb.h $SRCDIR/google/protobuf
+try_copy $BINDIR/upb/json/parser.c $SRCDIR/upb/json
+try_copy $BINDIR/upb/pb/compile_decoder_x64.h $SRCDIR/upb/pb
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback